Package org.eclipse.ui.forms

# Interface IFormColors

public interface IFormColors
A place to hold all the color constants used in the forms package.

Since:
  3.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BORDER`
Key for the tree/table border color.
`static final String`
`H_BOTTOM_KEYLINE1`
Key for the form header bottom keyline 1 color.
`static final String`
`H_BOTTOM_KEYLINE2`
Key for the form header bottom keyline 2 color.
`static final String`
`H_GRADIENT_END`
Key for the form header background gradient ending color.
`static final String`
`H_GRADIENT_START`
Key for the form header background gradient starting color.
`static final String`
`H_HOVER_FULL`
Key for the form header full hover color.
`static final String`
`H_HOVER_LIGHT`
Key for the form header light hover color.
`static final String`
`H_PREFIX`
A prefix for the header color constants.
`static final String`
`PREFIX`
A prefix for all the keys.
`static final String`
`SEPARATOR`
Key for the section separator color.
`static final String`
`TB_BG`
Key for the section title bar background.
`static final String`
`TB_BORDER`
Key for the section title bar border.
`static final String`
`TB_FG`
Key for the section title bar foreground.
`static final String`
`TB_GBG`
Deprecated.
Since 3.3, this color is not used any more.
`static final String`
`TB_PREFIX`
`static final String`
`TB_TOGGLE`
Key for the section toggle color.
`static final String`
`TB_TOGGLE_HOVER`
Key for the section toggle hover color.
`static final String`
`TITLE`
Key for the form title foreground color.

## Field Details

### PREFIX

static final String PREFIX
A prefix for all the keys.

See Also:
  - Constant Field Values

### TITLE

static final String TITLE
Key for the form title foreground color.

See Also:
  - Constant Field Values

### H_PREFIX

static final String H_PREFIX
A prefix for the header color constants.

See Also:
  - Constant Field Values

### TB_PREFIX

static final String TB_PREFIX

See Also:
  - Constant Field Values

### H_GRADIENT_END

static final String H_GRADIENT_END
Key for the form header background gradient ending color.

See Also:
  - Constant Field Values

### H_GRADIENT_START

static final String H_GRADIENT_START
Key for the form header background gradient starting color.

See Also:
  - Constant Field Values

### H_BOTTOM_KEYLINE1

static final String H_BOTTOM_KEYLINE1
Key for the form header bottom keyline 1 color.

See Also:
  - Constant Field Values

### H_BOTTOM_KEYLINE2

static final String H_BOTTOM_KEYLINE2
Key for the form header bottom keyline 2 color.

See Also:
  - Constant Field Values

### H_HOVER_LIGHT

static final String H_HOVER_LIGHT
Key for the form header light hover color.

See Also:
  - Constant Field Values

### H_HOVER_FULL

static final String H_HOVER_FULL
Key for the form header full hover color.

See Also:
  - Constant Field Values

### BORDER

static final String BORDER
Key for the tree/table border color.

See Also:
  - Constant Field Values

### SEPARATOR

static final String SEPARATOR
Key for the section separator color.

See Also:
  - Constant Field Values

### TB_BG

static final String TB_BG
Key for the section title bar background.

See Also:
  - Constant Field Values

### TB_FG

static final String TB_FG
Key for the section title bar foreground.

See Also:
  - Constant Field Values

### TB_GBG

@Deprecated static final String TB_GBG
Deprecated.
Since 3.3, this color is not used any more. The tool bar gradient is created starting from `TB_BG` to the section background color.
Key for the section title bar gradient.

See Also:
  - Constant Field Values

### TB_BORDER

static final String TB_BORDER
Key for the section title bar border.

See Also:
  - Constant Field Values

### TB_TOGGLE

static final String TB_TOGGLE
Key for the section toggle color. Since 3.1, this color is used for all section styles.

See Also:
  - Constant Field Values

### TB_TOGGLE_HOVER

static final String TB_TOGGLE_HOVER
Key for the section toggle hover color.

See Also:
  - Constant Field Values